using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SFI.COMM.LIB.Redis
{
    [DefaultProperty("Data")]
    public class TransferResult<T>
    {
        public bool Success { get; set; }
        public string Message { get; set; }        
        public List<CommandParameter> Parameters { get; set; }
        public T Data { get; set; }

        public static implicit operator T(TransferResult<T> _res)
        {
            return _res.Data;
        } 
    }
}
